namespace Commonmark {

    public class BitSet : GLib.Object {

        private Gee.TreeMap<int, bool> map;

        construct {
            map = new Gee.TreeMap<int, bool>();
        }

        public BitSet copy() {
            var c = new BitSet();
            foreach (var key in map.keys) {
                if (map[key])
                    c.set_bit(key);
            }
            return c;
        }

        public bool get_bit(int i) {
            if (!map.has_key(i))
                return false;
            return map[i];
        }

        public void set_bit(int i) {
            map[i] = true;
        }
    }
}
