namespace Commonmark {

    public class BlockContent : GLib.Object {

        private StringBuilder sb;

        private int line_count;

        public BlockContent() {
            sb = new StringBuilder();
        }

        public BlockContent.from_content(string content) {
            sb = new StringBuilder();
            sb.append(content);
        }

        public void add(string line) {
            if (line_count != 0) {
                sb.append_c('\n');
            }
            sb.append(line);
            line_count++;
        }

        public string get_string() {
            return sb.str;
        }
    }
}
