namespace Commonmark {

    /**
     * A node that uses delimiters in the source form (e.g. ''*bold*'').
     */
    public interface Delimited {

        /**
         * @return the opening (beginning) delimiter, e.g. ''*''
         */
        public abstract string get_opening_delimiter();

        /**
         * @return the closing (ending) delimiter, e.g. ''*''
         */
        public abstract string get_closing_delimiter();
    }
}
