namespace Commonmark {

    public class FencedCodeBlock : Block {

        public unichar fence_char { get; set; }
        public int fence_length { get; set; }
        public int fence_indent { get; set; }

        /**
         * [[http://spec.commonmark.org/0.18/#info-string]]
         */
        public string info { get; set; }
        public string literal { get; set; }

        public override void accept(Visitor visitor) {
            visitor.visit(this);
        }
    }
}
