namespace Commonmark {

    public interface InlineParserState : GLib.Object {

        /**
         * Return a scanner for the input for the current position (on the
         * character that the inline parser registered interest for).
         *
         * Note that this always returns the same instance, if you want to
         * backtrack you need to use Scanner#position() and
         * Scanner#setPosition(Position).
         */
        public abstract Scanner scanner();
    }
}
