namespace Commonmark {

    public class OrderedListHolder : ListHolder {

        public unichar delimiter { get; private set; }
        public int counter { get; private set; }

        public OrderedListHolder(ListHolder parent, OrderedList list) {
            base(parent);
            delimiter = list.delimiter;
            counter = list.start_number;
        }

        public void increase_counter() {
            counter++;
        }
    }
}