namespace Commonmark {

    public abstract class ParsedInline : GLib.Object {

        protected ParsedInline() {}

        public static ParsedInline? none() {
            return null;
        }

        public static ParsedInline from(Node node, Position position) {
            if (node == null)
                GLib.error("node must not be null");
            if (position == null)
                GLib.error("position must not be null");
            return new ParsedInlineImpl(node, position);
        }
    }
}

