namespace Commonmark {

    public interface Renderer : GLib.Object {

        /**
         * Render the tree of nodes to output.
         *
         * @param node the root node
         * @param output output for rendering
         */
        public abstract void render_to(Node node, GLib.OutputStream output);

        /**
         * Render the tree of nodes to string.
         *
         * @param node the root node
         * @return the rendered string
         */
        public abstract string render(Node node);
    }
}
