namespace Commonmark {

    public class StrongEmphasis : Node, Delimited {

        private string delimiter;

        public StrongEmphasis() {
        }

        public StrongEmphasis.from_string(string delimiter) {
            this.delimiter = delimiter;
        }

        public void set_delimiter(string delimiter) {
            this.delimiter = delimiter;
        }

        public string get_opening_delimiter() {
            return delimiter;
        }

        public string get_closing_delimiter() {
            return delimiter;
        }

        public override void accept(Visitor visitor) {
            visitor.visit(this);
        }
    }
}
