namespace Commonmark {

    public class Text : Node {

        public string literal { get; set; }

        public Text() {
        }

        public Text.from_literal(string literal) {
            this.literal = literal;
        }

        public override void accept(Visitor visitor) {
            visitor.visit(this);
        }

        protected override string to_string_attributes() {
            return "literal=" + literal;
        }
    }
}
