%global _vpath_srcdir %{name}-%{version}/

Name:     commonmark
Version:  0.97.1
Release:  1%{?dist}
Summary:  A Vala library for rendering Markdown
License:  GPLv3+
URL:      https://aztlan.fciencias.unam.mx/gitlab/canek/markdown
Source0:  https://aztlan.fciencias.unam.mx/gitlab/canek/commonmark/-/archive/%{version}/commonmark-%{version}.tar.gz

BuildRequires: meson
BuildRequires: ninja-build
BuildRequires: gcc
BuildRequires: vala
BuildRequires: libgee
BuildRequires: valadoc

%description
%{summary}.

%package devel
Summary:  Development libraries and header files for %{name}

%description devel
%{summary}.

%prep
%autosetup -c

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Commonmark-%{version}.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#%doc README.md
#%license COPYING

%changelog
* Tue Oct 1 2024 Canek Pelaez <canek@ciencias.unam.mx>
- Initial spec file
