namespace Commonmark {

    /**
     * Factory for instantiating new attribute providers when rendering is done.
     */
    public interface AttributeProviderFactory : GLib.Object {

        /**
         * Create a new attribute provider.
         *
         * @param context for this attribute provider
         * @return an AttributeProvider
         */
        public abstract AttributeProvider
        create(AttributeProviderContext context);
    }
}

