namespace Commonmark {

    public abstract class BlockStart : GLib.Object{

        protected BlockStart() {}

        public static BlockStart? none() {
            return null;
        }

        public static BlockStart from(BlockParser parser) {
            return new BlockStartImpl.from(parser);
        }

        public static BlockStart from_two(BlockParser p1, BlockParser p2) {
            return new BlockStartImpl.from_two(p1, p2);
        }

        public abstract BlockStart at_index(int new_index);

        public abstract BlockStart at_column(int new_column);

        public abstract BlockStart replace_active_block_parser();

    }

}

