namespace Commonmark {

    public class DocumentBlockParser : AbstractBlockParser {

        private Document document;

        construct {
            document = new Document();
        }

        public override bool is_container() {
            return true;
        }

        public override bool can_contain(Block block) {
            return true;
        }

        public override Block get_block() {
            return document;
        }

        public override BlockContinue try_continue(ParserState state) {
            return BlockContinue.at_index(state.get_index());
        }

        public override void add_line(SourceLine line) {}
    }
}
