namespace Commonmark {

    public class Image : Node {

        public string destination { get; set; }
        public string title { get; set; }

        public Image() {}

        public Image.full(string destination, string? title) {
            this.destination = destination;
            this.title = title;
        }

        public override void accept(Visitor visitor) {
            visitor.visit(this);
        }

        protected override string to_string_attributes() {
            return "destination=" + destination + ", title=" + title;
        }
    }
}
