namespace Commonmark {

    /**
     * Parser for inline content (text, links, emphasized text, etc).
     */
    public interface InlineParser : GLib.Object {

        /**
         * @param lines the source content to parse as inline
         * @param node the node to append resulting nodes to (as children)
         */
        public abstract void parse(SourceLines lines, Node node);
    }
}
