namespace Commonmark {

    public abstract class ListHolder : GLib.Object {

        private const string INDENT_DEFAULT = "   ";
        private const string INDENT_EMPTY = "";

        public ListHolder parent { get; private set; }
        public string indent { get; private set; }

        protected ListHolder(ListHolder parent) {
            this.parent = parent;
            if (parent != null) {
                indent = parent.indent + INDENT_DEFAULT;
            } else {
                indent = INDENT_EMPTY;
            }
        }
    }
}
